## zope.interface 5.2.0

=== debian/changelog ===
zope.interface (5.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pierre-Elliott Bécue ]
  * New upstream release 5.2.0
  * Bump Standards-Version to 4.5.1
  * d/watch: move to v4

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Jan 2021 20:36:07 +0100

zope.interface (5.1.2-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 5.1.2 (Closes: #972265)
  * Set myself to uploaders and make the Python Team the maintainer of
    zope.interface

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Remove redundant Priority field in binary package.
  * d/control: Add Vcs-* field.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 18 Oct 2020 23:27:41 +0200

zope.interface (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0
  * d/control:
    - Update the Maintainer field
    - Sets Rules-Requires-Root to no
    - Drop Testsuite field
    - Replace old priority extra by optional for the debug package
    - Drop Pre-Depends: dpkg for the -dbg package.
  * Switch to debhelper-compat
  * d/copyright:
    - Drop osolete Files-excluded field.
  * d/watch: use https for pypi.debian.net
  * d/rules:
    - Set hardening options
  * Add a d/gbp.conf

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Sep 2020 23:16:12 +0200

=== debian/control ===
Source: zope.interface
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libpython3-all-dbg,
               libpython3-all-dev,
               python3-all-dbg:any,
               python3-all-dev:any,
               python3-coverage (>= 5.0.3),
               python3-setuptools,
               python3-zope.event,
               python3-zope.testing
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/zope.interface
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.interface
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.interface.git

Package: python3-zope.interface
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-zope, ${python3:Provides}
Description: Interfaces for Python3
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This is the Python 3 version.

Package: python3-zope.interface-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-zope.interface (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Interfaces for Python3 (debug extension)
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.interface
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

package3=python3-zope.interface

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_build:
	set -xe; for pv in $(shell py3versions -sv); do \
		$(SET_CROSS_ENV) python$$pv setup.py build; \
	done

override_dh_auto_install:
	set -xe; \
	for pv in $(shell py3versions -vs); do \
		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package3); \
	done
	# Remove C sources.
	find debian/$(package3) -name '*.c' | xargs -r rm -f

override_dh_install:
	# remove C source
	find debian/$(package3) -name '*.c' | xargs -r rm -f
	# remove debug symbols
	#-rm debian/$(package3)/usr/lib/python3/dist-packages/zope/interface/_zope_interface_coptimizations_d.so
	# zope.interface provides the zope namespace __init__.py
	for py in $(shell py3versions -vs); do \
	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
	done
	# python3-zope.interface-dbg package
	for pv in $(shell py3versions -vs); do \
	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
	    --no-compile --single-version-externally-managed \
	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
	    --install-layout=deb; \
	done
	find debian/$(package3)-dbg
	find debian/$(package3)-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(package3)-dbg -depth -empty -exec rmdir {} \;

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p$(package3) README.rst
	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p$(package3) CHANGES.rst

override_dh_strip:
	dh_strip -p$(package3) --dbg-package=$(package3)-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f .eggs/README.txt
	rm -f src/zope.interface.egg-info/requires.txt
	rm -f src/zope/interface/_zope_interface_coptimizations.*.so

=== debian/tests/control ===
Tests: all-3 all-dbg-3
Depends: @

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.interface/zope.interface-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.interface 5.4.0

=== debian/changelog ===
zope.interface (5.4.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 18:12:38 +0100

zope.interface (5.4.0-2) unstable; urgency=high

  * Team upload.
  * Drop manual -dbg package. (Closes: #994387)

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Mar 2022 21:17:23 -0400

zope.interface (5.4.0-1) unstable; urgency=medium

  * New upstream release 5.4.0
  * d/watch: switch to GitHub tracking
  * d/control:
    - Change homepage for upstream to the actual one (GitHub)
    - Bump Standards-Version to 4.6.0
  * d/copyright:
    - Change the homepage for upstream to the actual one (GitHub)
    - Add debian/* copyright

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 05 Oct 2021 23:58:49 +0200

=== debian/control ===
Source: zope.interface
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libpython3-all-dev,
               python3-all-dev:any,
               python3-coverage (>= 5.0.3),
               python3-setuptools,
               python3-zope.event,
               python3-zope.testing
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/zopefoundation/zope.interface
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.interface
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.interface.git

Package: python3-zope.interface
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-zope, ${python3:Provides}
Description: Interfaces for Python3
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This is the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -41,31 +41,14 @@
 	for py in $(shell py3versions -vs); do \
 	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
 	done
-	# python3-zope.interface-dbg package
-	for pv in $(shell py3versions -vs); do \
-	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
-	    --no-compile --single-version-externally-managed \
-	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
-	    --install-layout=deb; \
-	done
-	find debian/$(package3)-dbg
-	find debian/$(package3)-dbg ! -type d ! -name '*.so' | xargs rm -f
-	find debian/$(package3)-dbg -depth -empty -exec rmdir {} \;
-
-override_dh_installdocs:
-	dh_installdocs
-	dh_installdocs -p$(package3) README.rst
-	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)
 
 override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -p$(package3) CHANGES.rst
+	dh_installchangelogs CHANGES.rst
 
 override_dh_strip:
-	dh_strip -p$(package3) --dbg-package=$(package3)-dbg
+	dh_strip --dbgsym-migration='python3-zope.interface-dbg (<< 5.4.0-2~)'
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f .eggs/README.txt
 	rm -f src/zope.interface.egg-info/requires.txt
 	rm -f src/zope/interface/_zope_interface_coptimizations.*.so

## zope.interface 5.5.2

=== debian/changelog ===
zope.interface (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/rules: Simplify, removing manual calls to setup.py.
  * Run tests using pytest.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Dec 2022 21:45:21 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libpython3-all-dev,
                python3-all-dev:any,
                python3-coverage (>= 5.0.3),
+               python3-pytest,
                python3-setuptools,
                python3-zope.event,
                python3-zope.testing

## zope.interface 6.1

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme>1
docutils<0.19
repoze.sphinx.autointerface

=== debian/changelog ===
zope.interface (6.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:24:13 +0200

zope.interface (6.1-1) unstable; urgency=medium

  * Team upload.
  * Ship a pydist file to help dh_python3 locate python3-zope.interface, when
    the package name is normalized.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Dec 2023 15:54:23 -0400

zope.interface (6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, ready for Python 3.12.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Nov 2023 08:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.interface
export PYBUILD_TEST_PYTEST=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

package3=python3-zope.interface

execute_after_dh_auto_install:
	# Remove C sources.
	find debian/$(package3) -name '*.c' | xargs -r rm -f

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_strip:
	dh_strip --dbgsym-migration='python3-zope.interface-dbg (<< 5.4.0-2~)'

execute_after_dh_auto_clean:
	rm -f .eggs/README.txt
	rm -f src/zope.interface.egg-info/requires.txt
	rm -f src/zope/interface/_zope_interface_coptimizations.*.so

## zope.interface 6.4

=== debian/changelog ===
zope.interface (6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 May 2024 11:35:41 +0100

zope.interface (6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 May 2024 12:13:20 +0100

## zope.interface 7.1.1

=== debian/changelog ===
zope.interface (7.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 25 Oct 2024 10:44:29 +0100

zope.interface (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Oct 2024 11:11:42 +0100

zope.interface (7.0.3-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix segmentation faults on Python 3.13
    (closes: #1081541).

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Oct 2024 11:20:49 +0100

zope.interface (7.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2024 21:07:42 +0100

zope.interface (7.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2024 18:25:08 +0100

zope.interface (6.4-2) unstable; urgency=medium

  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2024 16:13:38 +0100

## zope.interface 7.2

=== debian/changelog ===
zope.interface (7.2-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:40:34 +0000

zope.interface (7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Nov 2024 12:58:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export PYBUILD_NAME=zope.interface
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS = -o consider_namespace_packages=true
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/zope/interface/tests
+endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #export PYBUILD_VERBOSE=1
 #export DH_VERBOSE=1

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/zopefoundation/zope.interface/tags \
    /zopefoundation/zope.interface/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## zope.interface 8.0

=== debian/changelog ===
zope.interface (8.0-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 16:44:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,15 @@
 
 export PYBUILD_NAME=zope.interface
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS = -o consider_namespace_packages=true
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
-PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/zope/interface/tests
+export PYBUILD_TEST_ARGS := /usr/lib/python3/dist-packages/zope/interface/tests
 endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #export PYBUILD_VERBOSE=1
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 package3=python3-zope.interface

## zope.interface 8.0.1

=== docs/requirements.txt ===
Sphinx
furo
repoze.sphinx.autointerface

=== debian/changelog ===
zope.interface (8.0.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove Breaks/Replaces for old python3-zope.interface-dbg package.

  [ Colin Watson ]
  * New upstream release:
    - Remove run-time dependency on setuptools (closes: #1084013).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Sep 2025 10:42:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,12 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-package3=python3-zope.interface
-
 execute_after_dh_auto_install:
 	# Remove C sources.
-	find debian/$(package3) -name '*.c' | xargs -r rm -f
+	find debian/python3-zope.interface -name '*.c' -delete
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='python3-zope.interface-dbg (<< 5.4.0-2~)'
 
 execute_after_dh_auto_clean:
 	rm -f .eggs/README.txt

=== debian/tests/control ===
Tests: all-3
Depends: @

## zope.interface 8.1

=== debian/changelog ===
zope.interface (8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Nov 2025 10:17:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Pierre-Elliott Bécue <peb@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libpython3-all-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev:any,
-               python3-coverage (>= 5.0.3),
+               python3-coverage,
                python3-pytest,
                python3-setuptools,
                python3-zope.event,
                python3-zope.testing
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.interface
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.interface
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.interface.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-zope.interface
 Architecture: any

## zope.interface 8.1.1

=== debian/changelog ===
zope.interface (8.1.1-1) unstable; urgency=medium

  * d/watch:
    - Upgrade to v5.
    - Exclude pre-releases.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Jan 2026 18:46:29 +0000

=== debian/watch ===
Version: 5

Template: GitHub
Owner: zopefoundation
Project: zope.interface
Version-Type: STABLE_VERSION

## zope.interface 8.2

=== debian/changelog ===
zope.interface (8.2-1) unstable; urgency=medium

  * New upstream release:
    - Ignore ``__annotate_func__`` added in Python 3.14b1 (closes:
      #1123258).

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Jan 2026 12:10:55 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-zope.event,
                python3-zope.testing
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.interface
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.interface
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.interface.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: zopefoundation
Project: zope.interface
Uversion-Mangle: s/(rc|a|b|c)/~$1/
